Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Picture.Color

    java.lang.Object
      Picture.Color

Enclosing class:
  Picture

    public static class Picture.Color

extends Object

Field Summary
`static Picture.Color` | `BLACK`
`static Picture.Color` | `BLUE`
`static Picture.Color` | `CYAN`
`static Picture.Color` | `DARK_GRAY`
`static Picture.Color` | `GRAY`
`static Picture.Color` | `GREEN`
`static Picture.Color` | `LIGHT_GRAY`
`static Picture.Color` | `MAGENTA`
`static Picture.Color` | `ORANGE`
`static Picture.Color` | `PINK`
`static Picture.Color` | `RED`
`static Picture.Color` | `WHITE`
`static Picture.Color` | `YELLOW`

Constructor Summary
`Picture.Color(double red, double green, double blue)` Constructs a new Color object.

Method Summary
`double` | `getBlue()` Gets the blue value of this color.
`double` | `getGreen()` Gets the green value of this color.
`double` | `getRed()` Gets the red value of this color.

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLACK

    public static final Picture.Color BLACK

### BLUE

    public static final Picture.Color BLUE

### CYAN

    public static final Picture.Color CYAN

### DARK_GRAY

    public static final Picture.Color DARK_GRAY

### GRAY

    public static final Picture.Color GRAY

### GREEN

    public static final Picture.Color GREEN

### LIGHT_GRAY

    public static final Picture.Color LIGHT_GRAY

### MAGENTA

    public static final Picture.Color MAGENTA

### ORANGE

    public static final Picture.Color ORANGE

### PINK

    public static final Picture.Color PINK

### RED

    public static final Picture.Color RED

### WHITE

    public static final Picture.Color WHITE

### YELLOW

    public static final Picture.Color YELLOW

Constructor Detail

### Picture.Color

    public Picture.Color(double red,
                         double green,
                         double blue)

  Constructs a new Color object.

  Parameters:
    `red` - the red value of the color (between 0 and 255)
    `green` - the green value of the color (between 0 and 255)
    `blue` - the blue value of the color (between 0 and 255)

Method Detail

### getBlue

    public double getBlue()

  Gets the blue value of this color.

  Returns:
    the blue value (between 0 and 255)

### getGreen

    public double getGreen()

  Gets the green value of this color.

  Returns:
    the green value (between 0 and 255)

### getRed

    public double getRed()

  Gets the red value of this color.

  Returns:
    the red value (between 0 and 255)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD